MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::SCElementOp2 Class Reference

The SCElementOp2 class is very similar to the SCElementOp class except that pairs of blocks are treated simultaneously. More...

`#include <elemop.h>`

Inheritance diagram for sc::SCElementOp2:

List of all members.

## Public Member Functions

| SCElementOp2 (StateIn &s)
virtual int | has_collect ()
virtual void | defer_collect (int)
virtual int | has_side_effects ()
virtual int | has_side_effects_in_arg ()
virtual void | collect (const Ref< MessageGrp > &)
virtual void | process (SCMatrixBlockIter &, SCMatrixBlockIter &)=0
void | process_base (SCMatrixBlock *, SCMatrixBlock *)
virtual void | process_spec_rect (SCMatrixRectBlock *, SCMatrixRectBlock *)
virtual void | process_spec_ltri (SCMatrixLTriBlock *, SCMatrixLTriBlock *)
virtual void | process_spec_diag (SCMatrixDiagBlock *, SCMatrixDiagBlock *)
virtual void | process_spec_vsimp (SCVectorSimpleBlock *, SCVectorSimpleBlock *)

## Detailed Description

The SCElementOp2 class is very similar to the SCElementOp class except that pairs of blocks are treated simultaneously.

The two matrices involved must have identical storage layout, which will be the case if both matrices are of the same type and dimensions.

The documentation for this class was generated from the following file:

- elemop.h